#include <iostream>
#include <algorithm>
#include <cmath>
#include <cstdio>

using namespace std;

int n, k, ans = 1000000000;
int a[1000000];
int wall_pos[101];

void check() {
    int t[n];
    for (int i = 0; i < n; ++ i) {
        t[i] = a[i];
    }
    int cur_sum = 0;
    for (int i = 0; i <= k; ++ i) {
        sort(t + wall_pos[i], t + wall_pos[i + 1]);
        cur_sum += t[wall_pos[i + 1] - 1];
    }
    ans = min(ans, cur_sum);
}

void find(int i, int done) {
    if (done == k) {
        check();
        return;
    }
    if (i > n - 1 || i + k - done > n) {
        return;
    }
    find(i + 1, done);
    done ++;
    wall_pos[done] = i;
    find(i + 1, done);
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    //freopen("StandardOutput.out", "w", stdout);
    cin >> n >> k;
    for (int i = 0; i < n; ++ i) {
        cin >> a[i];
    }
    k --;
    wall_pos[0] = 0;
    wall_pos[k + 1] = n;
    find(1, 0);
    cout << ans << endl;
}
