#include <iostream>
#include <algorithm>
#include <cstdio>

using namespace std;

string s;
int cur_ans, n;

bool palindrom(int r, int l) {
    for (; r < l;) {
        if (s[r] == '?' || s[l] == '?') {
            r ++;
            l --;
            continue;
        }
        if (s[r] != s[l]) {
            return false;
        }
        r ++;
        l --;
    }
    return true;
}

void firstCheck() {
    for (int i = 0; i < n; ++ i) {
        for (int j = i + 1; j < n; ++ j) {
            if (palindrom(i, j)) {
                cur_ans ++;
            }
        }
    }
}

int main() {
    cin >> s;
    n = s.length();
    cur_ans = n;
    firstCheck();
    cout << cur_ans << endl;
    cur_ans = n;
    for (int i = 0; i < n; ++ i) {
        int k;
        cin >> k;
        k --;
        s[k] = '?';
        firstCheck();
        cout << cur_ans << endl;
        cur_ans = n;
    }
}
